# TUnitComplex Class Reference
[Math classes]

Inheritance diagram for TUnitComplex:

List of all members.

## Public Member Functions
| TUnitComplex ()
TUnitComplex | Square (void) const
TUnitComplex | Inverse (void) const
TUnitComplex | SquareRoot (void) const
TUnitComplex | Normalize (void) const
void | GetSinCos (real &sin, real &cos) const
real | GetAngle (void) const
void | SetFromAngle (const real angle)
void | SetFromSinCos (const real sin, const real cos)
void | Transform (const TVector2 &PP, TVector2 &QQ) const
void | operator+= (const TUnitComplex &cc)
TUnitComplex | operator* (const TUnitComplex &cc) const
int32 | GetRevs (void) const
## Static Public Member Functions
static TUnitComplex | CreateFromAngle (const real angleDegree)
## Protected Attributes
real | fx
| real part
real | fy
| complex part
int32 | fn
| number of turns
## Friends
TUnitComplex | operator- (const TUnitComplex &, const TUnitComplex &)

## Detailed Description

Represents a complex number of norm one, and also keeps the number of turns.

## Constructor & Destructor Documentation

TUnitComplex::TUnitComplex | ( |  | ) |

## Member Function Documentation

static TUnitComplex TUnitComplex::CreateFromAngle | ( | const real | angleDegree | ) | `[inline, static]`

real TUnitComplex::GetAngle | ( | void |  | ) | const

int32 TUnitComplex::GetRevs | ( | void |  | ) | const`[inline]`

void TUnitComplex::GetSinCos | ( | real & | sin,
|  | real & | cos |
| ) |  |  | const

TUnitComplex TUnitComplex::Inverse | ( | void |  | ) | const

TUnitComplex TUnitComplex::Normalize | ( | void |  | ) | const

TUnitComplex TUnitComplex::operator* | ( | const TUnitComplex & | cc | ) | const

void TUnitComplex::operator+= | ( | const TUnitComplex & | cc | ) |

void TUnitComplex::SetFromAngle | ( | const real | angle | ) |

void TUnitComplex::SetFromSinCos | ( | const real | sin,
|  | const real | cos |
| ) |  |  |

TUnitComplex TUnitComplex::Square | ( | void |  | ) | const

TUnitComplex TUnitComplex::SquareRoot | ( | void |  | ) | const

void TUnitComplex::Transform | ( | const TVector2 & | PP,
|  | TVector2 & | QQ |
| ) |  |  | const

## Friends And Related Function Documentation

TUnitComplex operator- | ( | const TUnitComplex & | ,
|  | const TUnitComplex & |  |
| ) |  |  | `[friend]`

## Member Data Documentation

int32 TUnitComplex::fn`[protected]`

number of turns

real TUnitComplex::fx`[protected]`

real part

real TUnitComplex::fy`[protected]`

complex part

The documentation for this class was generated from the following file:

- RealQuat.h